Bug 1313092 - Unable to change sound output to bluetooth headset using GUI
Unable to change sound output to bluetooth headset using GUI
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-pulseaudio (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 17:52 EST by slazer
Modified: 2016-12-20 14:08 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:08:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description slazer 2016-02-29 17:52:14 EST
Description of problem:
After the bluetooth headset has been successfully paired and connected, in some cases the output sound comes from the laptop speaker instead of the headset device.

Version-Release number of selected component (if applicable):
Release     : 1.fc23
HP ProBook 4730s laptop
MEElectronics Air-Fi Matrix2 AF62 bluetooth headset

How reproducible:
Possibly not deterministic. One has to switch from headset to speakers and back to experience the problem. 

Steps to Reproduce:
1. Open Bluetooth.
2. Select the headset device.
3. Turn it on/off multiple times.

Actual results:
The output sound device does not change. The sounds comes from the laptop speaker.

Expected results:
The sound should switch between headset and laptop speakers.

Additional info:
When the problem is encountered, the sound profile for the headset in the Sound application can not be changed anymore. There is only one choice. When the switching of the output sound device works, there are two profiles, High Fidelity Playback (A2DP Sink) and Headset Head Unit (HSP/HFP). 

Workaround:
pacmd set-card-profile 1 a2dp_sink

Note that the above correct value of the card index [ 1 ], as well as the correct profile [ a2dp_sink ] can be found using pacmd list-cards. The command pacmd list-sinks does not list the headset device when the problem occurs, therefore one has to use the pacmd list-cards.
Comment 1 Fedora End Of Life 2016-11-24 10:51:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 14:08:50 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.